#include <cstdlib>

#include <libguile.h>

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "sys.h"

static void* register_functions (void* data)
{
  return NULL;
}

int main(int argc, char *argv[]) {
  MessageBox(0,PROGRAM,"MinGW Test Program",MB_OK);
  scm_with_guile (&register_functions, NULL);
  scm_shell (0, NULL);

  return 0;
} 
